% RA: ejemplo-1.in
% Ejemplo con modo automático
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Formalización
%==============================================================================

set(auto2).

formula_list(sos).
 all x (p(x) -> q(x)).
 all z exists y (r(z) -> p(y)).
 exists x r(x).
 all z -q(z).
end_of_list.

%==============================================================================
